<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Tugas 8 Pengenalan VueJS No 2</title>
  </head>
  <body>
    <div id="app">
      <button onclick="vm.openForm()">Open Form</button>
      <h1>{{`Nilai a : ${a}`}}</h1>
      <h2>{{`Rata rata : ${b}`}}</h2>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2"></script>
    <script>
      var vm = new Vue({
        el: "#app",
        data: {
          a: 0,
          b: 0,
        },
        methods: {
          openForm: function () {
            for (let i = 1; i <= 10; i++) {
              this.a = prompt("masukan nilai a");
              this.a += this.a;
            }
            this.b = this.a / 10;
          },
        },
      });
    </script>
  </body>
</html>
